package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdScenario;
import com.dhcc.finance.main.domain.CwBdScenarioExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdScenarioMapper {
	long countByExample(CwBdScenarioExample example);

	int deleteByExample(CwBdScenarioExample example);

	int deleteByPrimaryKey(String id);

	int insert(CwBdScenario record);

	int insertSelective(CwBdScenario record);

	List<CwBdScenario> selectByExample(CwBdScenarioExample example);

	CwBdScenario selectByPrimaryKey(String id);

	int updateByExampleSelective(@Param("record") CwBdScenario record, @Param("example") CwBdScenarioExample example);

	int updateByExample(@Param("record") CwBdScenario record, @Param("example") CwBdScenarioExample example);

	int updateByPrimaryKeySelective(CwBdScenario record);

	int updateByPrimaryKey(CwBdScenario record);

	/**
	 * 功能描述：根据交易码查询配置信息
	 * 
	 * @param jym
	 * @return CwBdScenario
	 * @author dml
	 * @date 2019年6月26日 下午1:48:25 @修改日志：
	 */
	CwBdScenario selectByJym(@Param("jym") String jym);
	/**
	 * 查询全部交易码
	 * Title: selectScenarioreJym<br/>  
	 * Description: TODO <br/>
	 * @author lipeng 
	 * @return List<String>
	 * @date 2019年8月3日 下午4:06:34
	 */
	List<String>  selectScenarioreJyM();
	/**
	 * 功能描述 校验: 查询该交易码是否存在
	 *@param tradeCode
	 *@return Long
	 *@author huangpeng
	 *@date 2019年8月30日 上午9:42:10
	 *修改日志:
	 */
	Long selectIsExistsOfTradeCode(String tradeCode);
	/**
	 * 功能描述 批量逻辑删除交易配置
	 *@param idList
	 *@return int
	 *@author huangpeng
	 *@date 2020年2月4日 上午9:37:51
	 *修改日志:
	 */
	int deleteCwBdScenarioById(@Param("list")List<String> idList);
	/**
	 * 功能描述:当前交易码是否需要记账
	 * @param tradeCode
	 * @return Long
	 *@author likai
	 *@data 2020年4月27日上午10:23:57
	 *修改日志
	 */
	Long selectIsRecorded(String tradeCode);

}